/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultIntegral_8h_source.html",
"IdStringType_8h.html#a078444078f4f1fc1f7e29b24e8ef5b26",
"ManagedFile_8h_source.html",
"Notes.html",
"PoolItem_8h.html",
"RepoIndex_8cc_source.html",
"RpmFlags_8h_source.html",
"String_8cc.html#a4ca0284d2a0b8cc796ae44aa9763e99a",
"Transaction_8cc_source.html",
"classshared__ptr.html",
"classzypp_1_1Capabilities.html#ade5f025426488c24edabbcad2c422b77",
"classzypp_1_1CpeId_1_1Impl.html#a916ff73b404a0f38c2057878cee3b139",
"classzypp_1_1Exception.html#a54f79410e094edccc4bccbe8f87854c1",
"classzypp_1_1HistoryLogDataRepoUrlChange.html#a5224d7019952d893ed7fd0b239120651a49accf54baa94a854973e46fcf13ac27",
"classzypp_1_1LocaleGuard.html#a9cf5be9bbcf11384492777e3356362bb",
"classzypp_1_1Patch.html#a0652377486fb89cf3d1ec8867873790e",
"classzypp_1_1PoolItemBest.html#a223b5b0ca1e00dca85d296aee3422ae7",
"classzypp_1_1ProgressData.html#a8ed05bfc5a8e3bf37ca4cee5a3b282e4",
"classzypp_1_1RepoManager.html#a62cad5dd666772708dcf8e838a11f30f",
"classzypp_1_1ResPool.html#af8db26c9d2af51f1af777138ad840951",
"classzypp_1_1Resolver.html#a561736a7eea445824905ba73a1f1f9e3",
"classzypp_1_1Target.html#a93db9cf770ab2f0a317a1cdfb5f91811",
"classzypp_1_1ZConfig_1_1Impl.html#a6f5689c487fd47989cc459f8e7262cbd",
"classzypp_1_1base_1_1Fd.html#ac4e1d07675ac0b0769642c825ac6a75d",
"classzypp_1_1debug_1_1Measure_1_1Impl.html#a577bc4872a73d4df7b5f053d93817492",
"classzypp_1_1filesystem_1_1StatMode.html#a0cf7cb9b9204d6e2ad86961076d12db9",
"classzypp_1_1media_1_1MediaAccess.html#aa6f5082209b4a34536d50d24e48d0735",
"classzypp_1_1media_1_1MediaHandler.html#a2755201e8211e907f804920c3121590c",
"classzypp_1_1media_1_1MediaSource.html#af303f30c067c9f0e91793c1a7f69824a",
"classzypp_1_1media_1_1multifetchrequest.html#afcad6fa9221ad366e77cefe385494d46",
"classzypp_1_1parser_1_1yum_1_1RepomdFileReader_1_1Impl.html#a01abcc4697f2d29e35a6bd0da9e33119a36e2df49743486def99b9b7c00c29ef2",
"classzypp_1_1repo_1_1SUSEMediaVerifier.html#abdf62842e4752a398813c7878e4b1c5b",
"classzypp_1_1sat_1_1LookupAttr_1_1iterator.html#af00beecc8af8ba4eea2ef84a89bb31f8",
"classzypp_1_1sat_1_1SolvIterMixin.html#a655adebaa6b834a48a3359830d231abf",
"classzypp_1_1sat_1_1detail_1_1DIWrap.html#afdf6f8c4a8763a93d525c7fbd1c75abf",
"classzypp_1_1syscontent_1_1Reader_1_1Entry.html#ae4354f05b349aa732f5643e2c0e7fca8",
"classzypp_1_1target_1_1TargetImpl.html#ab298c919255ab88f8770252a87eabddb",
"classzypp_1_1target_1_1rpm_1_1RpmDbNotOpenException.html#a481f5cc95e2373c4f9d2224955684e1b",
"classzypp_1_1ui_1_1Selectable.html#a44917b098ba2e52a7b5137901c830a63",
"classzypp_1_1xml_1_1ParseDef.html#a16344f217606d6898e96abffb1fed115",
"functions_k.html",
"group__ZYPP__SMART__PTR.html#ga67259b147ccb2e7f40e1256d03974aff",
"namespacezypp_1_1sat.html",
"structzypp_1_1Date_1_1ETimeFormatDef.html#acef3a4117424fa43c319d3cbebf8a41fa7242c9b6c4c60d1616f94bd4a1ea702d",
"structzypp_1_1KeyRing_1_1Impl.html#a4c66e84480fce3f81dd20d3e41444bf5",
"structzypp_1_1RWCOW__pointer.html#abc8ee4e810c78460a07e698eb31d570f",
"structzypp_1_1ResPoolProxy_1_1Impl.html#ae830cc45112d978548bcc658b5a81c22",
"structzypp_1_1bit_1_1MaxBits.html#a2e30a1cd5344ee6867cc56aff97e9b7e",
"structzypp_1_1log_1_1FileLineWriter.html#a871ae83d54934fa80eff1454ece08010",
"structzypp_1_1repo_1_1DownloadResolvableReport.html#a21b5356a34dd389268d375598b8589cb",
"structzypp_1_1sat_1_1SolvableType.html#a2c70399b34f1acde54136021243077ac",
"structzypp_1_1target_1_1rpm_1_1InstallResolvableReport.html#a3e55ee09d5bc52966b099d092c7beccf",
"structzypp_1_1xml_1_1ParseDefException.html#a50baf89f35d92d31fa0bf7a8951203d4"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';